class Jupp < Formula
  desc "Professional screen editor for programmers"
  homepage "http://www.mirbsd.org/jupp.htm"
  url "http://www.mirbsd.org/MirOS/dist/jupp/joe-3.1jupp41.tgz"
  version "3.1jupp41"
  sha256 "7bb8ea8af519befefff93ec3c9e32108d7f2b83216c9bc7b01aef5098861c82f"
  license "GPL-1.0-or-later"
  # Upstream HEAD in CVS: http://www.mirbsd.org/cvs.cgi/contrib/code/jupp/

  livecheck do
    url :homepage
    regex(/href=.*?joe[._-]v?(\d+(?:\.\d+)+jupp\d+)\.t/i)
  end

  depends_on "autoconf" => :build
  depends_on "automake" => :build
  depends_on "libtool" => :build

  uses_from_macos "expect" => :test

  uses_from_macos "ncurses"

  on_macos do
    depends_on "gnu-sed" => :build
  end

  conflicts_with "joe", because: "both install the same binaries"

  def install
    ENV.prepend_path "PATH", Formula["gnu-sed"].opt_libexec/"gnubin" if OS.mac?
    system "autoreconf", "-vfi"
    system "./configure", *std_configure_args,
                          "--enable-sysconfjoesubdir=/jupp"
    system "make", "install"
  end

  test do
    assert_match "File (Unnamed) not changed so no update needed.",
      pipe_output("env TERM=tty expect -",
                  "spawn #{bin}/jupp;send \"q\";expect eof")
  end
end
